package it.micegroup.gestioneferie.pianificazioneferie.criteria;

import java.io.Serializable;
import javax.persistence.Embeddable;

import it.micegroup.voila2runtime.filter.StringFilter;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DrichPianifFerieAmmtoCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 406039699L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdRichPianFerieAmmto;

	private StringFilter codiRichiestaPianoFerie;

	private StringFilter descRichiestaPianoFerie;

	private LongFilter fkPianificFerieAmmto;

	private LongFilter fkStatoRichiestaPfAmmto;

	private StringFilter flagEliminato;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataUltimaModifica;

	private LocalDateFilter dataInizioRecord;

	private LocalDateFilter dataFineRecord;

	// FILTER FATHER
	private String theDstatiRichiestaPfAmmtoObjectKey;
	private String theDpianificFerieAmmtoObjectKey;

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdRichPianFerieAmmto
	 */
	public LongFilter getSequIdRichPianFerieAmmto() {
		return this.sequIdRichPianFerieAmmto;
	}

	/**
	 * @param sequIdRichPianFerieAmmto to set
	 */
	public void setSequIdRichPianFerieAmmto(LongFilter sequIdRichPianFerieAmmto) {
		this.sequIdRichPianFerieAmmto = sequIdRichPianFerieAmmto;
	}

	/**
	 * @return the codiRichiestaPianoFerie
	 */
	public StringFilter getCodiRichiestaPianoFerie() {
		return this.codiRichiestaPianoFerie;
	}

	/**
	 * @param codiRichiestaPianoFerie to set
	 */
	public void setCodiRichiestaPianoFerie(StringFilter codiRichiestaPianoFerie) {
		this.codiRichiestaPianoFerie = codiRichiestaPianoFerie;
	}

	/**
	 * @return the descRichiestaPianoFerie
	 */
	public StringFilter getDescRichiestaPianoFerie() {
		return this.descRichiestaPianoFerie;
	}

	/**
	 * @param descRichiestaPianoFerie to set
	 */
	public void setDescRichiestaPianoFerie(StringFilter descRichiestaPianoFerie) {
		this.descRichiestaPianoFerie = descRichiestaPianoFerie;
	}

	/**
	 * @return the fkPianificFerieAmmto
	 */
	public LongFilter getFkPianificFerieAmmto() {
		return this.fkPianificFerieAmmto;
	}

	/**
	 * @param fkPianificFerieAmmto to set
	 */
	public void setFkPianificFerieAmmto(LongFilter fkPianificFerieAmmto) {
		this.fkPianificFerieAmmto = fkPianificFerieAmmto;
	}

	/**
	 * @return the fkStatoRichiestaPfAmmto
	 */
	public LongFilter getFkStatoRichiestaPfAmmto() {
		return this.fkStatoRichiestaPfAmmto;
	}

	/**
	 * @param fkStatoRichiestaPfAmmto to set
	 */
	public void setFkStatoRichiestaPfAmmto(LongFilter fkStatoRichiestaPfAmmto) {
		this.fkStatoRichiestaPfAmmto = fkStatoRichiestaPfAmmto;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	// GETTER/SETTER FATHER

	public String getTheDstatiRichiestaPfAmmtoObjectKey() {
		return theDstatiRichiestaPfAmmtoObjectKey;
	}

	public void setTheDstatiRichiestaPfAmmtoObjectKey(String theDstatiRichiestaPfAmmtoObjectKey) {
		this.theDstatiRichiestaPfAmmtoObjectKey = theDstatiRichiestaPfAmmtoObjectKey;
	}

	public String getTheDpianificFerieAmmtoObjectKey() {
		return theDpianificFerieAmmtoObjectKey;
	}

	public void setTheDpianificFerieAmmtoObjectKey(String theDpianificFerieAmmtoObjectKey) {
		this.theDpianificFerieAmmtoObjectKey = theDpianificFerieAmmtoObjectKey;
	}

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
